For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Scopes
          • POST/sync-status/resync
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Data managementForce resync

/sync-status/resync

POST
/hris/v1/sync-status/resync
POST
/api/hris/v1/sync-status/resync
$curl -X POST https://api.merge.dev/api/hris/v1/sync-status/resync \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Successful
1[
2 {
3 "model_name": "Employee",
4 "model_id": "hris.Employee",
5 "status": "SYNCING",
6 "is_initial_sync": true,
7 "last_sync_start": "2021-03-30T19:44:18.695973Z",
8 "next_sync_start": "2021-03-30T20:44:18.662942Z",
9 "last_sync_result": "DONE",
10 "last_sync_finished": "2021-03-30T19:55:18.695973Z",
11 "selective_sync_configurations_usage": "IN_NEXT_SYNC"
12 }
13]

Force re-sync of all models. This endpoint is available for monthly, quarterly, and highest sync frequency customers on the Professional or Enterprise plans. Doing so will consume a sync credit for the relevant linked account. Force re-syncs can also be triggered manually in the Merge Dashboard and is available for all customers.

Was this page helpful?
Previous

/linked-account-scopes

Next

/passthrough

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Response

model_namestring
model_idstring
statusenum
  • SYNCING - SYNCING
  • DONE - DONE
  • FAILED - FAILED
  • DISABLED - DISABLED
  • PAUSED - PAUSED
  • PARTIALLY_SYNCED - PARTIALLY_SYNCED
is_initial_syncboolean
last_sync_startdatetime
next_sync_startdatetime
last_sync_resultenum
  • SYNCING - SYNCING
  • DONE - DONE
  • FAILED - FAILED
  • DISABLED - DISABLED
  • PAUSED - PAUSED
  • PARTIALLY_SYNCED - PARTIALLY_SYNCED
last_sync_finisheddatetime
selective_sync_configurations_usageenum
  • IN_NEXT_SYNC - IN_NEXT_SYNC
  • IN_LAST_SYNC - IN_LAST_SYNC
Allowed values: